#if __isDOUBLE__
        #define GEMV_N     DGEMV_N
        #define GEMV_T     DGEMV_T
        #define SYMV_U     DSYMV_U
        #define TEST_GEMV_N     "cuda-dgemv-n"
        #define TEST_GEMV_T     "cuda-dgemv-t"
        #define TEST_SYMV_U     "cuda-dsymv-u"
        #define NAME_GEMV_N     "DGEMV -N"
        #define NAME_GEMV_T     "DGEMV -T"
        #define NAME_SYMV_U     "DSYMV -U"
        #define cublasgemv      cublasDgemv
        #define cublassymv      cublasDsymv
#else
        #define GEMV_N     SGEMV_N
        #define GEMV_T     SGEMV_T
        #define SYMV_U     SSYMV_U
        #define TEST_GEMV_N     "cuda-sgemv-n"
        #define TEST_GEMV_T     "cuda-sgemv-t"
        #define TEST_SYMV_U     "cuda-ssymv-u"
        #define NAME_GEMV_N     "SGEMV -N"
        #define NAME_GEMV_T     "SGEMV -T"
        #define NAME_SYMV_U     "SSYMV -U"
        #define cublasgemv      cublasSgemv
        #define cublassymv      cublasSsymv
#endif

