#ifndef	ASPEN_INCLUDED

#define	ASPEN_MAJOR_VERSION	1
#define	ASPEN_MINOR_VERSION	4
#define	ASPEN_PATCH_LEVEL	1
#define	ASPEN_CODENAME		"Nihonbashi"


#ifdef __cplusplus
extern "C" {
#endif


/* User must call ASPEN_init for initialization */
int
ASPEN_init ( int device_id );

/* User must finalize the ASPEN library by ASPEN_shutdown */
int
ASPEN_shutdown ( void );


void
ASPEN_dsymv ( char uplo, int n,
                      double alpha, 
                      double * a, int lda,
                      double * x, int incx,
                      double beta,  
                      double * y, int incy );

void
ASPEN_ssymv ( char uplo, int n,
                      float alpha, 
                      float * a, int lda,
                      float * x, int incx,
                      float beta,  
                      float * y, int incy );

void
ASPEN_dgemv ( char trans, int m, int n,
                      double alpha, 
                      double * a, int lda,
                      double * x, int incx,
                      double beta,  
                      double * y, int incy );

void
ASPEN_sgemv ( char trans, int m, int n,
                      float alpha, 
                      float * a, int lda,
                      float * x, int incx,
                      float beta,  
                      float * y, int incy );


#ifdef __cplusplus
}
#endif

#define	ASPEN_INCLUDED	1
#endif
